package controller

import "campaign-pool-be/app/module/research_journals/service"

type Controller struct {
	ResearchJournals ResearchJournalsController
}

func NewController(ResearchJournalsService service.ResearchJournalsService) *Controller {
	return &Controller{
		ResearchJournals: NewResearchJournalsController(ResearchJournalsService),
	}
}
